#!/bin/sh
### Copyright 2018 Plesk International GmbH. All rights reserved

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x
fi

prog="`basename "$0"`"
psa_d="/usr/local/psa"
mu_flag="$psa_d/var/${prog%.sh}.flag"

[ ! -f "$mu_flag" ] || exit 0

if $psa_d/admin/sbin/mailmng-server --features | egrep -q "SMTP_Server_package.*postfix" 2>/dev/null; then
	$psa_d/admin/sbin/mailmng-server --add-recipient-address-mapper >/dev/null 2>&1
fi

touch "$mu_flag"
exit 0
